<template>
  <CSubheader
    class="custom-subheader px-3"
    :class="[sidebarShow ? null : 'sideBarClose', sidebarMinimize ? 'sideBarMinimized' : 'sideBarFull']"
  >
    <slot />
  </CSubheader>
</template>

<script>
export default {
  computed: {
    sidebarShow() {
      return this.$store.state.admin.sidebarShow
    },
    sidebarMinimize() {
      return this.$store.state.admin.sidebarMinimize
    }
  }
}
</script>
